Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.filters
Class VertexPredicateFilter

    java.lang.Object
      edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
          edu.uci.ics.jung.graph.filters.VertexPredicateFilter

All Implemented Interfaces:
  Filter

public class VertexPredicateFilter
extends GeneralVertexAcceptFilter

This is a simple Vertex filter that accepts the vertices which its Predicate accepts.

Author:
  danyelf

Field Summary
`protected Predicate` | `predicate`

Constructor Summary
`VertexPredicateFilter(Predicate p)`
`VertexPredicateFilter(VertexPredicate vp)`

Method Summary
`boolean` | `acceptVertex(Vertex vert)`
`String` | `getName()` Gets a name that describes this filter.

Methods inherited from class edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
`filter, filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### predicate

    protected Predicate predicate

Constructor Detail

### VertexPredicateFilter

    public VertexPredicateFilter(VertexPredicate vp)

### VertexPredicateFilter

    public VertexPredicateFilter(Predicate p)

Method Detail

### acceptVertex

    public boolean acceptVertex(Vertex vert)

  Specified by:
    `acceptVertex` in class `GeneralVertexAcceptFilter`
  See Also:
    `GeneralVertexAcceptFilter.acceptVertex(edu.uci.ics.jung.graph.Vertex)`

### getName

    public String getName()

  Description copied from interface: `Filter`
  Gets a name that describes this filter. It is used by the auditing methods in ``GraphAssemblyRecord``

  Returns:
    A string that describes the filter.
  See Also:
    `Filter.getName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD